summaryrefslogtreecommitdiff
path: root/meta/packages/acpid/files
diff options
context:
space:
mode:
authorSamuel Ortiz <sameo@openedhand.com>2008-09-25 14:41:56 +0000
committerSamuel Ortiz <sameo@openedhand.com>2008-09-25 14:41:56 +0000
commitf65b9db4a042cef18c39741b2c5ac1a3a1273fdc (patch)
treef55972ed6d6baec1401d1ba5adb98144fc1ec458 /meta/packages/acpid/files
parent6ae402ea3f980278480b918e09f6766e68bdf436 (diff)
downloadopenembedded-core-f65b9db4a042cef18c39741b2c5ac1a3a1273fdc.tar.gz
openembedded-core-f65b9db4a042cef18c39741b2c5ac1a3a1273fdc.tar.bz2
openembedded-core-f65b9db4a042cef18c39741b2c5ac1a3a1273fdc.tar.xz
openembedded-core-f65b9db4a042cef18c39741b2c5ac1a3a1273fdc.zip
acpid: Initial poky commit
Needed on x86 machines. git-svn-id: https://svn.o-hand.com/repos/poky/trunk@5270 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'meta/packages/acpid/files')
-rwxr-xr-xmeta/packages/acpid/files/init26
1 files changed, 26 insertions, 0 deletions
diff --git a/meta/packages/acpid/files/init b/meta/packages/acpid/files/init
new file mode 100755
index 000000000..ef08b5959
--- /dev/null
+++ b/meta/packages/acpid/files/init
@@ -0,0 +1,26 @@
+#! /bin/sh -e
+
+test -x /usr/sbin/acpid || exit 0
+test -d /proc/acpi || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -S -x /usr/sbin/acpid -- -c /etc/acpi/events
+ echo "acpid."
+ ;;
+ stop)
+ echo -n "Stopping Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -K -x /usr/sbin/acpid
+ echo "acpid."
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/acpid {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0